## mednaffe 0.8

=== share/Makefile ===
# Makefile.in generated by automake 1.14 from Makefile.am.
# share/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/mednaffe
pkgincludedir = $(includedir)/mednaffe
pkglibdir = $(libdir)/mednaffe
pkglibexecdir = $(libexecdir)/mednaffe
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = share
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(icon128dir)" \
	"$(DESTDIR)$(icon16dir)" "$(DESTDIR)$(icon32dir)" \
	"$(DESTDIR)$(icon48dir)" "$(DESTDIR)$(icon64dir)" \
	"$(DESTDIR)$(iconsdir)" "$(DESTDIR)$(pixmapdir)"
DATA = $(desktop_DATA) $(icon128_DATA) $(icon16_DATA) $(icon32_DATA) \
	$(icon48_DATA) $(icon64_DATA) $(icons_DATA) $(pixmap_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/aklein/mednaffe/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/aklein/mednaffe/missing autoconf
AUTOHEADER = ${SHELL} /home/aklein/mednaffe/missing autoheader
AUTOMAKE = ${SHELL} /home/aklein/mednaffe/missing automake-1.14
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -std=c99 -Wall -s -Wl,-export-dynamic
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
GTK_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
GTK_DEFINES = -DGTK2_ENABLED
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lfontconfig -lfreetype -lgthread-2.0 -pthread -lglib-2.0 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/aklein/mednaffe/missing makeinfo
MKDIR_P = /usr/bin/mkdir -p
OBJEXT = o
PACKAGE = mednaffe
PACKAGE_BUGREPORT = BUG-REPORT-ADDRESS
PACKAGE_NAME = mednaffe
PACKAGE_STRING = mednaffe 0.6
PACKAGE_TARNAME = mednaffe
PACKAGE_URL = 
PACKAGE_VERSION = 0.6
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.6
abs_builddir = /home/aklein/mednaffe/share
abs_srcdir = /home/aklein/mednaffe/share
abs_top_builddir = /home/aklein/mednaffe
abs_top_srcdir = /home/aklein/mednaffe
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/aklein/mednaffe/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = \
  applications/mednaffe.desktop \
  pixmaps/mednaffe.png \
  icons/hicolor/16x16/apps/mednaffe.png \
  icons/hicolor/32x32/apps/mednaffe.png \
  icons/hicolor/48x48/apps/mednaffe.png \
  icons/hicolor/64x64/apps/mednaffe.png \
  icons/hicolor/128x128/apps/mednaffe.png \
  icons/hicolor/scalable/apps/mednaffe.svg 


# Desktop file
desktopdir = $(datadir)/applications
desktop_DATA = applications/mednaffe.desktop

# Pixmap file
pixmapdir = $(datadir)/pixmaps
pixmap_DATA = pixmaps/mednaffe.png

# Icon files
icon16dir = $(datadir)/icons/hicolor/16x16/apps
icon16_DATA = icons/hicolor/16x16/apps/mednaffe.png
icon32dir = $(datadir)/icons/hicolor/32x32/apps
icon32_DATA = icons/hicolor/32x32/apps/mednaffe.png
icon48dir = $(datadir)/icons/hicolor/48x48/apps
icon48_DATA = icons/hicolor/48x48/apps/mednaffe.png
icon64dir = $(datadir)/icons/hicolor/64x64/apps
icon64_DATA = icons/hicolor/64x64/apps/mednaffe.png
icon128dir = $(datadir)/icons/hicolor/128x128/apps
icon128_DATA = icons/hicolor/128x128/apps/mednaffe.png
iconsdir = $(datadir)/icons/hicolor/scalable/apps
icons_DATA = icons/hicolor/scalable/apps/mednaffe.svg
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign share/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign share/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-desktopDATA: $(desktop_DATA)
	@$(NORMAL_INSTALL)
	@list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(desktopdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(desktopdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(desktopdir)" || exit $$?; \
	done

uninstall-desktopDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(desktopdir)'; $(am__uninstall_files_from_dir)
install-icon128DATA: $(icon128_DATA)
	@$(NORMAL_INSTALL)
	@list='$(icon128_DATA)'; test -n "$(icon128dir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(icon128dir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(icon128dir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(icon128dir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(icon128dir)" || exit $$?; \
	done

uninstall-icon128DATA:
	@$(NORMAL_UNINSTALL)
	@list='$(icon128_DATA)'; test -n "$(icon128dir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(icon128dir)'; $(am__uninstall_files_from_dir)

=== debian/changelog ===
mednaffe (0.8-2) unstable; urgency=medium

  * Depend on Mednafen...

 -- Stephen Kitt <skitt@debian.org>  Sat, 06 Aug 2016 20:53:44 +0200

mednaffe (0.8-1) unstable; urgency=low

  * Initial release. Closes: #833002.

 -- Stephen Kitt <skitt@debian.org>  Tue, 02 Aug 2016 23:00:37 +0200

=== debian/control ===
Source: mednaffe
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libgtk-3-dev,
               pkg-config
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/mednaffe.git
Vcs-Git: https://anonscm.debian.org/git/pkg-games/mednaffe.git
Homepage: https://github.com/AmatCoder/mednaffe

Package: mednaffe
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         mednafen
Description: front-end for the Mednafen multi-system emulator
 Mednaffe is a graphical front-end for the Mednafen multi-system
 emulator. It allows all of Mednafen's options to be configured, and
 provides simple game-management features.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf 

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --enable-gtk3

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3

https://github.com/AmatCoder/mednaffe/tags (?:.*/)?v?(\d[\d\.]*)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## mednaffe 0.8.3

=== debian/changelog ===
mednaffe (0.8.3-1) unstable; urgency=medium

  * New upstream release, supporting Mednafen 0.9.39.1 and later, merging
    spelling-fixes.patch.
  * Avoid installing the COPYING license file.
  * Switch to debhelper compatibility level 10.
  * Since Mednafen can't be built on armel, drop the dependency on that
    architecture.

 -- Stephen Kitt <skitt@debian.org>  Tue, 22 Nov 2016 23:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                libgtk-3-dev,
                pkg-config
 Standards-Version: 3.9.8
@@ -17,7 +16,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         mednafen
+         mednafen (>= 0.9.39.1) [!armel]
 Description: front-end for the Mednafen multi-system emulator
  Mednaffe is a graphical front-end for the Mednafen multi-system
  emulator. It allows all of Mednafen's options to be configured, and

## mednaffe 0.8.4

=== debian/changelog ===
mednaffe (0.8.4-1) unstable; urgency=medium

  * New upstream release, supporting Mednafen 0.9.41 and later.
  * Mangle the file name in debian/watch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Jan 2017 09:02:51 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         mednafen (>= 0.9.39.1) [!armel]
+         mednafen (>= 0.9.41) [!armel]
 Description: front-end for the Mednafen multi-system emulator
  Mednaffe is a graphical front-end for the Mednafen multi-system
  emulator. It allows all of Mednafen's options to be configured, and

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,11 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with autoreconf 
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --bindir=/usr/games --enable-gtk3
+
+override_dh_install:
+	dh_install
+	rm -f debian/mednaffe/usr/share/doc/mednaffe/COPYING*

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mednaffe-$1\.tar\.gz/ \
 https://github.com/AmatCoder/mednaffe/tags (?:.*/)?v?(\d[\d\.]*)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## mednaffe 0.8.5

=== debian/changelog ===
mednaffe (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Enable pristine-tar by default.
  * Update debian/copyright.
  * Stop disabling PIE.
  * Standards-Version 4.0.0, no further change required.
  * Mednafen builds on armel, restore the dependency there.
  * Build-depend on Mednafen to avoid building on architectures without
    it (in future).

 -- Stephen Kitt <skitt@debian.org>  Thu, 13 Jul 2017 09:23:16 +0200

## mednaffe 0.8.6

=== debian/changelog ===
mednaffe (0.8.6-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 Aug 2017 22:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: mednafen (>= 0.9.41),
+               debhelper (>= 10),
                libgtk-3-dev,
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/mednaffe.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/mednaffe.git
 Homepage: https://github.com/AmatCoder/mednaffe
@@ -16,7 +17,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         mednafen (>= 0.9.41) [!armel]
+         mednafen (>= 0.9.41)
 Description: front-end for the Mednafen multi-system emulator
  Mednaffe is a graphical front-end for the Mednafen multi-system
  emulator. It allows all of Mednafen's options to be configured, and

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:

## mednaffe 0.8.8

=== debian/changelog ===
mednaffe (0.8.8-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 13 May 2018 18:04:51 +0200

=== debian/control ===
Source: mednaffe
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
Build-Depends: mednafen (>= 1.21.1),
               debhelper (>= 11~),
               libgtk-3-dev,
               pkg-config
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/games-team/mednaffe
Vcs-Git: https://salsa.debian.org/games-team/mednaffe.git
Homepage: https://github.com/AmatCoder/mednaffe

Package: mednaffe
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         mednafen (>= 1.21.1)
Description: front-end for the Mednafen multi-system emulator
 Mednaffe is a graphical front-end for the Mednafen multi-system
 emulator. It allows all of Mednafen's options to be configured, and
 provides simple game-management features.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --bindir=/usr/games --enable-gtk3
 
+# Install, then delete COPYING and ChangeLog
 override_dh_install:
 	dh_install
-	rm -f debian/mednaffe/usr/share/doc/mednaffe/COPYING*
+	rm -f debian/mednaffe/usr/share/doc/mednaffe/COPYING \
+	      debian/mednaffe/usr/share/doc/mednaffe/ChangeLog

## mednaffe 0.9.0

=== debian/changelog ===
mednaffe (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Set “Rules-Requires-Root: no”.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 31 Jan 2021 23:01:01 +0100

=== debian/control ===
Source: mednaffe
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
Build-Depends: mednafen (>= 1.22.1),
               debhelper-compat (= 13),
               libgtk-3-dev,
               pkg-config
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/games-team/mednaffe
Vcs-Git: https://salsa.debian.org/games-team/mednaffe.git
Homepage: https://github.com/AmatCoder/mednaffe
Rules-Requires-Root: no

Package: mednaffe
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         mednafen (>= 1.22.1)
Description: front-end for the Mednafen multi-system emulator
 Mednaffe is a graphical front-end for the Mednafen multi-system
 emulator. It allows all of Mednafen's options to be configured, and
 provides simple game-management features.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@

## mednaffe 0.9.1

=== debian/changelog ===
mednaffe (0.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 20 Sep 2021 17:52:38 +0200

## mednaffe 0.9.2

=== debian/changelog ===
mednaffe (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.0, no change required.
  * Use execute_{before,after} as appropriate.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Dec 2021 20:32:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper-compat (= 13),
                libgtk-3-dev,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/games-team/mednaffe
 Vcs-Git: https://salsa.debian.org/games-team/mednaffe.git
 Homepage: https://github.com/AmatCoder/mednaffe

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --enable-gtk3

execute_after_dh_install:
	rm -f debian/mednaffe/usr/share/doc/mednaffe/COPYING \
	      debian/mednaffe/usr/share/doc/mednaffe/ChangeLog

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mednaffe-$1.tar.gz%" \
    https://github.com/AmatCoder/mednaffe/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## mednaffe 0.9.3

=== debian/changelog ===
mednaffe (0.9.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Stephen Kitt ]
  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 21 Apr 2024 18:47:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper-compat (= 13),
                libgtk-3-dev,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/games-team/mednaffe
 Vcs-Git: https://salsa.debian.org/games-team/mednaffe.git
 Homepage: https://github.com/AmatCoder/mednaffe
